### Method

# WebKit NavigationAction get_mouse_button

#### Declaration [src]

    guint
    webkit_navigation_action_get_mouse_button (
      WebKitNavigationAction* navigation
    )

#### Description [src]

Return the number of the mouse button that triggered the navigation.

Return the number of the mouse button that triggered the navigation, or 0 if the navigation was not started by a mouse event.

Available since: | 2.6

#### Return value

Returns: | `guint`
| The mouse button number or 0